Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::common::FontMapResult Class Reference

Inherits Object.

## Public Member Functions
| FontMapResult ()
| Constructor.
| FontMapResult (const FontMapResult &other)
| Constructor, with another font mapping result object. More...
| FontMapResult (foxit::common::file::ReaderCallback *file_read, int face_index)
| Constructor, with parameters. More...
bool | operator!= (const FontMapResult &other) const
| Not equal operator. More...
FontMapResult & | operator= (const FontMapResult &other)
| Assign operator. More...
bool | operator== (const FontMapResult &other) const
| Equal operator. More...
void | Set (foxit::common::file::ReaderCallback *file_read, int face_index)
| Set value. More...

## Public Attributes
int | face_index
| Face index. This is a zero-based index value: More...
foxit::common::file::ReaderCallback * | file_read
| A common::file::ReaderCallback object which is implemented by user. Foxit PDF SDK will use this callback object to read data for mapped font.If this is NULL, that means no mapped font.

## Detailed Description

This class represents font mappping result returned by callback function FontMapperCallback::MapFont.

## Constructor & Destructor Documentation

## ◆ FontMapResult() [1/2]

foxit::common::FontMapResult::FontMapResult | ( | foxit::common::file::ReaderCallback * | file_read,
|  | int | face_index
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | file_read | A common::file::ReaderCallback object which is implemented by user. Foxit PDF SDK will use this callback object to read data for mapped font. If this is NULL, that means no mapped font.
  [in] | face_index | A zero-based index value: If the mapped font (represented by file_read) is a "collection" (which means that a number of faces are stored in the same file), this index value represents the index of the mapped font face. If the mapped font (represented by file_read) is not a collection, the index value shall be zero. -1 means no mapped font.

## ◆ FontMapResult() [2/2]

foxit::common::FontMapResult::FontMapResult | ( | const FontMapResult & | other | ) |
| inline

Constructor, with another font mapping result object.

Parameters

  [in] | other | Another font mapping result object.

## Member Function Documentation

## ◆ operator!=()

bool foxit::common::FontMapResult::operator!= | ( | const FontMapResult & | other | ) | const
| inline

Not equal operator.

Parameters

  [in] | other | Another font mapping result object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

FontMapResult& foxit::common::FontMapResult::operator= | ( | const FontMapResult & | other | ) |
| inline

Assign operator.

Parameters

  [in] | other | Another font mapping result object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::common::FontMapResult::operator== | ( | const FontMapResult & | other | ) | const
| inline

Equal operator.

Parameters

  [in] | other | Another font mapping result object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Set()

void foxit::common::FontMapResult::Set | ( | foxit::common::file::ReaderCallback * | file_read,
|  | int | face_index
| ) |  |
| inline

Set value.

Parameters

  [in] | file_read | A common::file::ReaderCallback object which is implemented by user. Foxit PDF SDK will use this callback object to read data for mapped font. If this is NULL, that means no mapped font.
  [in] | face_index | A zero-based index value: If the mapped font (represented by file_read) is a "collection" (which means that a number of faces are stored in the same file), this index value represents the index of the mapped font face. If the mapped font (represented by file_read) is not a collection, the index value shall be zero. -1 means no mapped font.

## Member Data Documentation

## ◆ face_index

int foxit::common::FontMapResult::face_index

Face index. This is a zero-based index value:

- If the mapped font (represented by file_read) is a "collection" (which means that a number of faces are stored in the same file), this index value represents the index of the mapped font face.
- If the mapped font (represented by file_read) is not a collection, the index value shall be zero.

-1 means no mapped font.